Bug 92583 - [PATCH] Additional FAM system fixes
Summary: [PATCH] Additional FAM system fixes
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Port Management Team
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-01-31 06:50 UTC by Joe Marcus Clarke
Modified: 2006-02-14 04:38 UTC (History)
0 users

See Also:


Attachments
fam.diff (3.98 KB, patch)
2006-01-31 06:50 UTC, Joe Marcus Clarke
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Joe Marcus Clarke freebsd_committer 2006-01-31 06:50:02 UTC
After the latest round of bsd.port.mk patches, the default FAM system was
changed from fam to gamin.  Gamin is a drop-in replacement for many (but not
all) of fam's features.  There are a few ports that have a problem when using
gamin.  Additionally, gamin and fam conflict, and if a user had fam
installed already, portupgrade would complain loudly when upgrading
dependent ports.

Fix: The attached patch switches all ports that use FAM from static FAM
dependencies to USE_FAM.  I have also set them all to want fam as their
FAM system provider.  This should prevent POLA violations as I have not
tested these ports with gamin.

The bsd.port.mk portion detects if gamin or fam is already installed,
and smartly sets the user-desired FAM system provider internally.

I leave it up to portmgr consensus if the default FAM system should be
changed back to fam in light of these patches.
Comment 1 Joe Marcus Clarke freebsd_committer 2006-01-31 06:50:32 UTC
Responsible Changed
From-To: freebsd-ports-bugs->portmgr

Assign to portmgr.
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2006-02-03 02:15:47 UTC
State Changed
From-To: open->analyzed

Accepted for testing on the cluster.
Comment 3 Mark Linimon freebsd_committer freebsd_triage 2006-02-14 04:38:28 UTC
State Changed
From-To: analyzed->closed

Committed, thanks.